Bug 37113 - update: www/dansguardian to version 2.2.9-1
Summary: update: www/dansguardian to version 2.2.9-1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-15 23:10 UTC by fcash
Modified: 2002-04-20 07:21 UTC (History)
0 users

See Also:


Attachments
patch-dansguardian-2.2.9 (1.20 KB, text/plain)
2002-04-15 23:10 UTC, fcash
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fcash 2002-04-15 23:10:04 UTC
	DansGuardian 2.2.9-1 has been released and fixes a few small bugs in previous versions.  The attached diff updates the Makefile to work with the new source tarball.
	A shar archive is also available is required (message me for it).
Comment 1 Ernst de Haan freebsd_committer 2002-04-15 23:15:42 UTC
> -PORTVERSION=	2.2.8.0
> +PORTVERSION=	2.2.9.1
>  CATEGORIES=	www
>  MASTER_SITES=	# empty, see below
> -DISTNAME=	DansGuardian-2.2.8-0.source
> +DISTNAME=	DansGuardian-2.2.9-1.source

You could also use:

DISTNAME=	DansGuardian-${PORTVERSION:R}-${PORTVERSION:E}.source

Then your patch would have been just a inty bit smaller :-)


Ernst
Comment 2 fcash 2002-04-16 00:42:50 UTC
Enclosed below is a better update for the Makefile based on
further reading of the porter's handbook and suggestions
sent via follow-up.  Please use this one if this has not
already been committed.

Thanks,
Freddie
fcash@bigfoot.com

------------------------------------------------------------

diff -ruNH dansguardian/Makefile dansguardian-2.2.9/Makefile
--- dansguardian/Makefile	Mon Apr 15 14:23:13 2002
+++ dansguardian-2.2.9/Makefile	Mon Apr 15 16:23:14 2002
@@ -6,17 +6,17 @@
 #
 
 PORTNAME=	dansguardian
-PORTVERSION=	2.2.8.0
+PORTVERSION=	2.2.9.1
 CATEGORIES=	www
 MASTER_SITES=	# empty, see below
-DISTNAME=	DansGuardian-2.2.8-0.source
+DISTNAME=	DansGuardian-${PORTVERSION:R}-${PORTVERSION:E}.source
 
 MAINTAINER=	fcash@bigfoot.com
 
 RUN_DEPENDS=	${LOCALBASE}/sbin/squid:${PORTSDIR}/www/squid24:install \
 		${LOCALBASE}/sbin/httpd:${PORTSDIR}/www/apache13:install
 
-WRKSRC=		${WRKDIR}/DansGuardian-2.2.8
+WRKSRC=		${WRKDIR}/DansGuardian-${PORTVERSION:R}
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--prefix=${PREFIX} \
 		--bindir=/sbin/ \
diff -ruNH dansguardian/distinfo dansguardian-2.2.9/distinfo
--- dansguardian/distinfo	Mon Apr 15 14:23:13 2002
+++ dansguardian-2.2.9/distinfo	Mon Apr 15 16:23:34 2002
@@ -1 +1 @@
-MD5 (DansGuardian-2.2.8-0.source.tar.gz) = 36eab61ddb5639d1aaed677a6da764e6
+MD5 (DansGuardian-2.2.9-1.source.tar.gz) = 378558fb3f080b717a9f338256cded58
Comment 3 Patrick Li freebsd_committer 2002-04-20 07:21:30 UTC
State Changed
From-To: open->closed

Committed, Thanks!